package cn.wisenergy.model.app;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Created by m1991 on 2021/3/1 14:00
 */
public class UsersDto extends User implements Serializable {
    /**
     * 主键id
     */
    private Integer id;
    /**
     * 手机号作为用户账号
     */
    private String userId;
    /**
     * 用户头像
     */
    private String headImage;
    /**
     * 用户会员等级
     */
    private int userLevel;

    /**
     * 跨境额度
     */

    private BigDecimal crossBorderLine;


    /**
     * 用户本人邀请码
     */
    private String inviteCode;

    /**
     * 推荐人邀请码
     */
    private String beInvitedCode;

    /**
     * 创建时间
     */
    private Date createTime;

    //用户token
    private String token;

    @Override
    public Integer getId() {
        return id;
    }

    @Override
    public void setId(Integer id) {
        this.id = id;
    }

    @Override
    public String getUserId() {
        return userId;
    }

    @Override
    public void setUserId(String userId) {
        this.userId = userId;
    }

    @Override
    public String getHeadImage() {
        return headImage;
    }

    @Override
    public void setHeadImage(String headImage) {
        this.headImage = headImage;
    }

    @Override
    public int getUserLevel() {
        return userLevel;
    }

    @Override
    public void setUserLevel(int userLevel) {
        this.userLevel = userLevel;
    }

    @Override
    public BigDecimal getCrossBorderLine() {
        return crossBorderLine;
    }

    @Override
    public void setCrossBorderLine(BigDecimal crossBorderLine) {
        this.crossBorderLine = crossBorderLine;
    }

    @Override
    public String getInviteCode() {
        return inviteCode;
    }

    @Override
    public void setInviteCode(String inviteCode) {
        this.inviteCode = inviteCode;
    }

    @Override
    public String getBeInvitedCode() {
        return beInvitedCode;
    }

    @Override
    public void setBeInvitedCode(String beInvitedCode) {
        this.beInvitedCode = beInvitedCode;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getToken() {
        return token;
    }
    public void setToken(String token) {
        this.token = token;
    }
}
